Bug 142582 - [new port]: haskell port devel/hs-unix-compat
Summary: [new port]: haskell port devel/hs-unix-compat
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-haskell (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-10 17:20 UTC by Jacula Modyun
Modified: 2010-01-13 00:00 UTC (History)
0 users

See Also:


Attachments
hs-unix-compat.shar (4.56 KB, text/plain)
2010-01-10 17:20 UTC, Jacula Modyun
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jacula Modyun 2010-01-10 17:20:01 UTC
This package provides portable implementations of parts of the unix package.
This package re-exports the unix package when available.
When it isn't available, portable implementations are used.

http://hackage.haskell.org/package/unix-compat
Comment 1 Edwin Groothuis freebsd_committer 2010-01-10 17:20:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->haskell

haskell@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-01-12 22:24:43 UTC
pgj         2010-01-12 22:24:36 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/hs-unix-compat Makefile distinfo pkg-descr pkg-plist 
  Log:
  This Haskell package provides portable implementations of parts of the
  unix package. This package re-exports the unix package when available.
  When it is not available, portable implementations are used.
  
  WWW: http://hackage.haskell.org/package/unix-compat
  
  PR:             ports/142582
  Submitted by:   Jacula Modyun <jacula(at)gmail.com>
  
  Revision  Changes    Path
  1.3775    +1 -0      ports/devel/Makefile
  1.1       +75 -0     ports/devel/hs-unix-compat/Makefile (new)
  1.1       +3 -0      ports/devel/hs-unix-compat/distinfo (new)
  1.1       +5 -0      ports/devel/hs-unix-compat/pkg-descr (new)
  1.1       +20 -0     ports/devel/hs-unix-compat/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Gabor Pali freebsd_committer 2010-01-12 23:50:21 UTC
State Changed
From-To: open->closed

Your port has been added.  Thank you for your submission!